@ Echo off
Rem  Batch file to run the fax program from MAIL2FAX.EXE
Rem  If you are using a ZYXEL or fully compatible modem you do not need a 
Rem  batch file.
Rem
Rem  Below is an example of how you might adapt modem using different 
Rem  ERRORLEVEL codes
Rem	 We assume that this modem (the BelchModem V28.8) creates a log file when
Rem  it runs, but not if transmission fails (we want errorlevel 4 or 38)
Rem  We further assume that it does set the following error levels
Rem		3 - Busy          (we want 1 or 34)
Rem     9 - no dial tone  (want 2 or 36)
Rem    11 - No answer     (want 3 or 37)

Rem	 Delete log file
erase BelchMdm.Log

Rem  %1 below refers to the file, %2 to the fax number
BelchMdm  %1 %2

IF  NOT Exist  BelchMdm.Log  Goto Failed

Rem Note that we must test for highest ERRORLEVEL first

IF  ERRORLEVEL  11  Goto RNA
IF  ERRORLEVEL   9  Goto NoDial
IF  ERRORLEVEL   3  Goto Busy

Goto Exit
:Failed
	EC 4
Goto Exit

:RNA
	EC 3
Goto Exit

:NoDial
	EC 2
Goto Exit

:Busy
	EC 1
:Exit
Rem -End-
